<?php
header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Methods: POST");

require_once "../config.php";

$conn = connect_db();

$res = array();

if ($conn->connect_error) {
	die('Connection failed: ' . $conn->connect_error);
} else {
	$sql = "
		SELECT CONCAT(shichen, ' (', time, ')') AS shichen, ID 
		FROM `liangshu_shichen` 
		ORDER BY ID
	";
	$result = $conn->query($sql);

	if ($result->num_rows > 0) {
		while ($row = $result->fetch_assoc()) {
			$temp = array(
				"ID" => $row["ID"],
				"shichen" => $row["shichen"]
			);

			array_push($res, $temp);
		}
	}
}

$conn->close();
echo json_encode($res);
